Joomla 3.4.4 is available from today. Remember this is a security release for the 3.x series of Joomla! Although this release fixes a low level security issue (XSS Vulnerability), we all strongly encourage you update your websites.

Current version 3.4.4 also fixed few issues:

  • Further en-GB language cleanup
  • Fixes for MSSQL and PostgresSQL Joomla installations
  • jQuery, HTML5Shiv and CodeMirror updates
  • Finished implementing the Joomla! codestyle rules

Yes, we tested this version on our Helix3 template framework and all seems to be okay.

Most updates that are pushed out by CMS are designed to improve performance, stability or security. If you don’t update, then you may miss out on useful new features, fixes for problems and safety measures, and could leave yourself vulnerable to malware and hacks.  You should definitely install the latest security updates.

Upgrade Packages:

Upgrade Packages - Joomla! 3+ upgrade packages

Please remember to:

  • clear your browser's cache after upgrading.
  • change your Super Admin login if it's still "admin" , none of updates can prevent from carefree.